using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.StoragesContracts;

public interface IUserStorageContract
{
    List<UserViewModel> GetFullList();
    List<UserViewModel> GetFilteredList(UserBindingModel model);
    UserViewModel GetElement(UserBindingModel model);
    UserViewModel Insert(UserBindingModel model);
    UserViewModel Update(UserBindingModel model);
    UserViewModel Delete(UserBindingModel model);
}

